Bug 1126297 - "System identifier" cannot be emptied in WebUI Power Management section
Summary: "System identifier" cannot be emptied in WebUI Power Management section
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Herr
QA Contact: Pavel Studeník
URL:
Whiteboard:
Depends On:
Blocks: sat570-powermgmt
TreeView+ depends on / blocked
 
Reported: 2014-08-04 06:28 UTC by Jiří Mikulka
Modified: 2015-01-13 10:26 UTC (History)
2 users (show)

Fixed In Version: spacewalk-java-2.3.8-16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 10:26:19 UTC


Attachments (Terms of Use)

Description Jiří Mikulka 2014-08-04 06:28:22 UTC
Description of problem:
Clearing "System identifier" field in <system> -> Provisioning -> Power management section is not possible. Once any value is put there for the first time, it is not possible to make this field empty.

Version-Release number of selected component (if applicable):
spacewalk-backend-2.2.43-1.el6.noarch (Satellite 5.7/Spacewalk 2.2)

How reproducible:
always

Steps to Reproduce:
1. prepare Satellite 5.7 with power management support enabled (fence-agents installed)
2. register client to the Satellite, add provisioning entitlement
3. fill in the values in <system> -> Provisioning -> Power management
4. update the fields (network address, username, password, system identifier)
5. empty any of the fields

Actual results:
4. all fields may be updated
5. none of the fields may be emptied, which is OK for network address, username and password, but is NOT OK for system identifier


Expected results:
4. the same
5. system identifier field may be updated, edited and also emptied


Additional info:

Comment 1 Stephen Herr 2014-09-15 20:05:22 UTC
Committing to Spacewalk master:
02c9f5bc8563941ec10716707a99e462ef5cf555

Comment 5 Pavel Studeník 2014-10-14 15:02:06 UTC
Verified with spacewalk-java-2.3.8-28.el6sat.noarch

Comment 6 Clifford Perry 2015-01-13 10:26:19 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff

NOTE: This bug has not been re-verified (moved to RELEASE_PENDING) prior to release. We assume that the bug has indeed been fixed and not regressed since we initially verified it. Please re-open in the future if needed.


Note You need to log in before you can comment on or make changes to this bug.